package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.GradeModuleEvaluation;
import com.qmth.distributed.print.business.mapper.GradeModuleEvaluationMapper;
import com.qmth.distributed.print.business.service.GradeModuleEvaluationService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 校验-考察点模块评价建议表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
@Service
public class GradeModuleEvaluationServiceImpl extends ServiceImpl<GradeModuleEvaluationMapper, GradeModuleEvaluation> implements GradeModuleEvaluationService {

    @Override
    public List<GradeModuleEvaluation> findBySchoolIdAndPaperNumberAndPaperType(Long schoolId, String paperNumber, String paperType) {
        QueryWrapper<GradeModuleEvaluation> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(GradeModuleEvaluation::getSchoolId, schoolId)
                .eq(GradeModuleEvaluation::getPaperNumber, paperNumber)
                .eq(GradeModuleEvaluation::getPaperType, paperType);
        return this.baseMapper.selectList(queryWrapper);
    }
}
