package com.qmth.distributed.print.api;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.util.Result;
import com.qmth.teachcloud.common.util.ResultUtil;
import io.swagger.annotations.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

/**
 * <p>
 * 回调接口前端控制器
 * </p>
 *
 * @author wangliang
 * @since 2022-04-26
 */
@Api(tags = "回调接口Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/${prefix.url.notify}")
@Validated
@Aac(auth = BOOL.FALSE)
public class NotifyApiController {
    private final static Logger log = LoggerFactory.getLogger(NotifyApiController.class);

    @ApiOperation(value = "教研分析进度回调")
    @ApiResponses({@ApiResponse(code = 200, message = "教研分析进度回调", response = Object.class)})
    @RequestMapping(value = "/analysis/progress", method = RequestMethod.POST)
    public Result analysisProgress(@ApiParam(value = "接收教研分析回调数据", required = true) @RequestBody String result) throws UnsupportedEncodingException {
        log.info("analysis_progress,result:{}", result);
        String decodeJson = URLDecoder.decode(result, SystemConstant.CHARSET_NAME);
        log.info("analysis_progress decodeJson:{}", decodeJson);
        return ResultUtil.ok(System.currentTimeMillis());
    }
}
